%{?nodejs_find_provides_and_requires}

%global enable_tests 1

%global srcname grunt-legacy-log-utils

Name:           nodejs-grunt-legacy-log-utils
Version:        1.0.0
Release:        2%{?dist}
Summary:        Static methods for the Grunt 0.4.x logger

License:        MIT
URL:            https://github.com/gruntjs/grunt-legacy-log-utils
Source0:        https://github.com/gruntjs/%{srcname}/archive/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz


BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(lodash)
BuildRequires:  npm(chalk)
BuildRequires:  npm(grunt-cli)
%endif


%description
%{summary}.


%prep
%setup -q -n %{srcname}-%{version}
%nodejs_fixdep lodash "^3.10.1"
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-legacy-log-utils
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/grunt-legacy-log-utils
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/grunt nodeunit
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/grunt-legacy-log-utils


%changelog
* Wed Aug 24 2016 Piotr Popieluch <piotr1212@gmail.com> - - 1.0.0-2
- Enable tests

* Mon Aug 15 2016 Piotr Popieluch <piotr1212@gmail.com> - - 1.0.0-1
- Update to 1.0.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Dec 15 2015 Tom Hughes <tom@compton.nu> - 0.1.1-3
- Update npm(lodash) dependency

* Sat Nov 21 2015 Tom Hughes <tom@compton.nu> - 0.1.1-2
- Update npm(colors) dependency

* Sat Nov 21 2015 Tom Hughes <tom@compton.nu> - 0.1.1-1
- Initial build of 0.1.1
